# Usage

This section showcases how to use the Sonobe library to:
- Define a circuit to be folded using a frontend such as [`circom`](https://github.com/iden3/circom) or [arkworks](https://github.com/arkworks-rs/r1cs-std).
- Fold the circuit using one of the folding schemes
- Generate a final Decider proof
- Verify the Decider proof, and in Ethereum case, generate a Solidity verifier 
 
<br><br>

<p align="center">
    <img src="../imgs/sonobe-lib-pipeline.png" />
</p>
